# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class ProductTemplate(models.Model):
    _inherit = "product.template"

    # Specific behavior for AP32, added a second income account for forfaits
    property_account_service_income_id = fields.Many2one(
        "account.account",
        company_dependent=True,
        string="Compte de revenus (Service)",
        domain=[("deprecated", "=", False)],
        help="Ce champ permet de définir un compte différent pour les activités"
        " de service sur un forfait.",
    )
